Non Conformance Inbound Inspection
The non conformance inbound inspection resource.
/nonConformanceInboundInspectionList non conformance inbound inspections
Retrieve a paginated list of non conformance inbound inspections. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/nonConformanceInboundInspection?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"nonConformanceId": "xyz789",
"inboundInspectionId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string"
}
]/nonConformanceInboundInspectionRetrieve a non conformance inbound inspection
Fetch a single non conformance inbound inspection by filtering on `id`.
Query parameters
idstringMatch on the non conformance inbound inspection's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/nonConformanceInboundInspection?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"nonConformanceId": "xyz789",
"inboundInspectionId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string"
}/nonConformanceInboundInspectionCreate a non conformance inbound inspection
Create a new non conformance inbound inspection.
Body parameters
nonConformanceIdstringrequiredReferences nonConformance.id
inboundInspectionIdstringrequiredReferences inboundInspection.id
companyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/nonConformanceInboundInspection \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"nonConformanceId":"xyz789","inboundInspectionId":"xyz789","companyId":"xyz789"}'{
"id": "abc123def456",
"nonConformanceId": "xyz789",
"inboundInspectionId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string"
}/nonConformanceInboundInspectionUpdate a non conformance inbound inspection
Update an existing non conformance inbound inspection, matched on `id`.
Body parameters
nonConformanceIdstringrequiredReferences nonConformance.id
inboundInspectionIdstringrequiredReferences inboundInspection.id
companyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/nonConformanceInboundInspection?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"nonConformanceId":"xyz789"}'{
"id": "abc123def456",
"nonConformanceId": "xyz789",
"inboundInspectionId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string"
}/nonConformanceInboundInspectionDelete a non conformance inbound inspection
Delete a non conformance inbound inspection, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the non conformance inbound inspection to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/nonConformanceInboundInspection?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'